ARP(8)

NAME
arp - address resolution display and control

SYNOPSIS
arp [-n] hostname
arp [-nv] -a
arp [-v] -d -a
arp [-v] -d hostname [proxy]
arp -s hostname ether_addr [temp] [pub [proxy]]
arp -f filename

DESCRIPTION
The arp program displays and modifies the Internet-to-Ethernet address translation tables used by the address resolution protocol (arp(4)). With no flags, the program displays the current ARP entry for hostname. The host may be specified by name or by number, using Internet dot notation.

Available options:

-a  The program displays all of the current ARP entries.

-d  A super-user may delete an entry for the host called hostname with the -d flag. If the proxy keyword is specified, only the published “proxy only” ARP entry for this host will be deleted. If used with -a instead of a hostname, it will delete all arp entries.

-f  Causes the file filename to be read and multiple entries to be set in the ARP tables. Entries in the file should be of the form

    hostname ether_addr [temp] [pub]

    with argument meanings as described below.

-n  Show network addresses as numbers (normally arp attempts to display addresses symbolically).

-s hostname ether_addr
    Create an ARP entry for the host called hostname with the Ethernet address ether_addr. The Ethernet address is given as six hex bytes separated by colons. The entry will be permanent unless the word temp is given in the command. If the word pub is given, the entry will be "published"; i.e., this system will act as an ARP server, responding to requests for hostname even though the host address is not its own.

    If the word proxy is also given, the published entry will be a “proxy only” entry. In this case the ether_addr can be given as auto in which case the interfaces on this host will be examined, and if one of them is found to occupy the same subnet, its Ethernet address will be used.

-v  Display verbose information when adding or deleting ARP entries.

SEE ALSO
inet(3), arp(4), ifconfig(8)

HISTORY
The arp command appeared in 4.3BSD.